task merge {

	Array[File] fastqs
	String new_file_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		cat ${sep=" " fastqs} > ${new_file_name}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File merged_fastq = "${new_file_name}"
	}
}