import "./tasks/merge.wdl" as merge

workflow {{ project_name }} {
	
	Array[File] fastqs
	String new_file_name
	String docker
	String cluster_config
	String disk_size

	call merge.merge as merge {
		input:
		fastqs=fastqs,
		new_file_name=new_file_name,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

}
